{$APPTYPE CONSOLE}

uses
  TestLib, SysUtils;

var
  JAns, PAns: AnsiString;
  TNum: LongInt;

begin
  TNum:= 0;
  While not ouf.SeekEof do begin
    Inc(TNum);
    JAns:= ouf.ReadWord(blanks, blanks);
    PAns:= ans.ReadWord(blanks, blanks);
    If (PAns <> 'CORRECT') and (PAns <> 'INCORRECT')
      then Quit(_PE, 'Presentation error at testcase ' + IntToStr(TNum) + ': got ' + PAns + ', but should be CORRECT/INCORRECT');
    If PAns <> JAns
      then Quit(_WA, 'Wrong answer at testcase ' + IntToStr(TNum) + ': expected ' + JAns+ ', but got ' + PAns);
  end;
  Quit(_OK, 'Ok!');
end.